Failed backup with error GPG Failed

I have recently upgraded my Zorin OS 16.3 to 17.1 Pro.
I had Deja Dup running on 16.3 and it worked well. now after the upgrade, I cannot get Deja Dup to backup or restore and old backup.
the error message is:

GPGError: GPG Failed, see log below:
===== Begin GnuPG log =====
gpg: no valid OpenPGP data found.
gpg: decrypt_message failed: Unknown system error
===== End GnuPG log =====

I have uninstalled Deja Dup and reinstalled as an apt package and also as a flatpak and have the same message with either version.

I have Deja Dup running on a laptop also with Zorin OS 17.1 core with no issues, only on my desktop am I having trouble.

Any suggestions you can provide will be appreciated.

1 Like

Hello! That’s a very vague error message yes…

Searching for it led me to this old ticket: Bug #1728548 “Backup Failed: gpg: decrypt_message failed: Unknow...” : Bugs : Déjà Dup

Where it sounds like the Duplicity maintainer’s best guess is that backup volumes are corrupted. He has a specific workaround suggestion: Comment #22 : Bug #1728548 : Bugs : Déjà Dup

Note that that suggestion will delete the last snapshot (which might be corrupted, to be fair). So maybe instead of deleting the volume files, move them to a separate folder during testing.